package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.CertificateIssuePersonUV1Request;
import cn.unitid.realidentity.sdk.response.CertificateIssuePersonUV1Response;
import cn.unitid.realidentity.sdk.utils.PKCS10Utils;

/**
 * 个人证书UV1（简项）
 *
 * @author 万红云
 * @date 2020-03-25 19:33
 */
public class CertificateIssuePersonUV1 {

    public static void main(String[] args) {

        try {
            //提供的url
            String url = "http://iv.unitid.cn/api/router/rest";
            //您的appKey
            String appkey = "XXX";
            //您的appSecret
            String secretKey = "XXX";

            //1.原客户端
            ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
            //2.调用出错，自动重试客户端
            //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);

            CertificateIssuePersonUV1Request req = new CertificateIssuePersonUV1Request();
            req.setIdcard("XXX");
            req.setRealname("XXX");
            req.setP10(PKCS10Utils.generateP10("CN=" +req.getRealname() + ",2.5.4.20=" + req.getIdcard() + ",OU=YZT,C=CN"));
            CertificateIssuePersonUV1Response res = apiClient.execute(req);

            if (res.getData().getIncorrect() == 100) {
                //后续业务处理
            }

        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
