package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.constant.EncryptMethod;
import cn.unitid.realidentity.sdk.request.EntFourCheckRequest;
import cn.unitid.realidentity.sdk.response.EntFourCheckResponse;

/**
 * 企业四要素核验
 */
public class EnterpriseFourCheck {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url,key, secretKey);
        EntFourCheckRequest req = new EntFourCheckRequest();
        req.setEntName("XXXX");
        req.setCorporate("XXXX");
        req.setIdcard("XXXX");
        //注册号/统一社会信用代码(注册号支持15位，统一社会信用代码支持18位
        req.setIdNumber("XXXX");

        // 配置此参数时,会对请求参数中的中idcard做加密
//        req.setEncMethod(EncryptMethod.SM4);
        try {
            EntFourCheckResponse res = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
