package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.constant.QualityControl;
import cn.unitid.realidentity.sdk.request.IdcardDetectionFaceRequest;
import cn.unitid.realidentity.sdk.response.IdcardDetectionFaceResponse;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.io.IOException;

/**
 * 人脸照片比对
 */
public class IdcardDetectionFace {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";
        //身份证姓名，注意不要有空格
        String realname = "XXX";
        //身份证号码是18位的，最后一位如果是大写X转换为x，注意不要有空格
        String idcard = "XXX";
        //图片转换成base64位字符串
        String image = null;
        //签发类型 默认evc，tsp 时间戳, evc 事件证书
        String issueType = "evc";

        try {
            image = Base64.encodeBase64String(FileUtils.readFileToByteArray(new File("D:/scb_photo.jpg")));
        } catch (IOException e) {
            e.printStackTrace();
        }

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        IdcardDetectionFaceRequest req = new IdcardDetectionFaceRequest();
        req.setRealname(realname);
        req.setIdcard(idcard);
        req.setImage(image);
        //true 开启异步 false 关闭异步（默认）
        req.setAsync(false);
        //非必填参数，质量控制
        req.setQualityControl(QualityControl.NORMAL);

        // 配置此参数时,会对请求参数中的realname、idcard、image做加密
        //req.setEncMethod(EncryptMethod.SM4);

        try {
            IdcardDetectionFaceResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
