package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.IdcardFourVerifyRequest;
import cn.unitid.realidentity.sdk.response.IdcardVerifyResponse;
import com.alibaba.fastjson.JSON;

/**
 * 实名四要素核验
 */
public class IdcardFourVerify {
    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";
        //身份证姓名，注意不要有空格
        String realname = "XXX";
        //身份证号码是18位的，最后一位如果是大写X转换为x，注意不要有空格
        String idcard = "XXX";
        //身份证有效期开始时间
        String idStartDate = "XXX";
        //身份证有效期结束时间
        String idEndDate = "XXX";
        //签发类型 默认evc，tsp 时间戳, evc 事件证书
        String issueType = "evc";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        IdcardFourVerifyRequest req = new IdcardFourVerifyRequest();
        req.setIssueType(issueType);
        req.setRealname(realname);
        req.setIdcard(idcard);
        req.setIdStartDate(idStartDate);
        req.setIdEndDate(idEndDate);

        //true 开启异步 false 关闭异步（默认）
        req.setAsync(false);
        try {
            IdcardVerifyResponse response = apiClient.execute(req);
            //后续业务处理
            System.out.println(JSON.toJSONString(response));
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
