package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.LivenessStaticRequest;
import cn.unitid.realidentity.sdk.response.LivenessStaticResponse;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.FileUtils;

import java.io.File;

/**
 * 静态活体认证
 */
public class IdcardLivenessStatic {

    private static final String prefix_str = "base64:";
    private static final String prefix_fs = "fs:";

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        try {
            LivenessStaticRequest req = new LivenessStaticRequest();

            //以base64:开头，图片转换成base64位字符串
            String img = Base64.encodeBase64String(FileUtils.readFileToByteArray(new File("C:/Users/admin/Pictures/Saved Pictures/jj.jpg")));
            req.addLivingImgOfBase64(img);

            //以base64:开头，图片转换成base64位字符串
            String img2 = Base64.encodeBase64String(FileUtils.readFileToByteArray(new File("C:/Users/admin/Pictures/Saved Pictures/jj2.jpg")));
            req.addLivingImgOfBase64(img2);

            //fs:开头，需要调用我们提供的上传接口,获取bucket，和objectKey，格式为：fs:+bucket:+objectKey
            String bucket = "XXX";
            String objectKey = "XXX";
            req.addLivingImgOfFs(bucket + ":" + objectKey);

            //1.原客户端
            ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
            //2.调用出错，自动重试客户端
            //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
            LivenessStaticResponse response = apiClient.execute(req);
            System.out.println(response.getBody());
            //后续业务处理
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
