package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.constant.EncryptMethod;
import cn.unitid.realidentity.sdk.request.IdcardVerifyRequest;
import cn.unitid.realidentity.sdk.response.IdcardVerifyResponse;

/**
 * 姓名实名认证
 */
public class IdcardVerify {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";
        //身份证姓名，注意不要有空格
        String realname = "XXX";
        //身份证号码是18位的，最后一位如果是大写X转换为x，注意不要有空格
        String idcard = "XXX";
        //签发类型 默认evc，tsp 时间戳, evc 事件证书
        String issueType = "evc";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        IdcardVerifyRequest req = new IdcardVerifyRequest();
        req.setIssueType(issueType);
        req.setRealname(realname);
        req.setIdcard(idcard);

        // 配置此参数时,会对请求参数中的realname、idcard做加密
        //req.setEncMethod(EncryptMethod.MD5);

        //true 开启异步 false 关闭异步（默认）
        req.setAsync(false);
        try {
            IdcardVerifyResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

}
