package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.constant.EncryptMethod;
import cn.unitid.realidentity.sdk.request.IdcardVerifyMobileRequest;
import cn.unitid.realidentity.sdk.response.IdcardVerifyMobileResponse;

/**
 * 手机号实名认证
 */
public class IdcardVerifyMobile {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";
        //身份证姓名，注意不要有空格
        String realname = "XXX";
        //身份证号码是18位的，最后一位如果是大写X转换为x，注意不要有空格
        String idcard = "XXX";
        //手机号，注意不要有空格
        String phone = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        IdcardVerifyMobileRequest req = new IdcardVerifyMobileRequest();
        req.setRealname(realname);
        req.setIdcard(idcard);
        req.setPhone(phone);

        // 配置此参数时,会对请求参数中的realname、idcard、phone做加密
//        req.setEncMethod(EncryptMethod.SM4);
        try {
            IdcardVerifyMobileResponse response = apiClient.execute(req);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

}
