package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.internal.util.StringUtils;
import cn.unitid.realidentity.sdk.request.IdentityMultiCheckRequest;
import cn.unitid.realidentity.sdk.response.IdentityMultiCheckResponse;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

public class IdentityMultiCheck {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //身份证姓名，注意不要有空格
        String realname = "万XX";
        //身份证号码是18位的，最后一位如果是大写X转换为x，注意不要有空格
        String idcard = "320122199001013220";
        //曾用名
        String formerName = "万XX";
        //性别
        String sex = "女";
        //民族:汉族
        String nation = "汉族";
        //文化程度
        String cultureGrade = "文盲";
        //婚姻状况
        String maritalStatus = "未婚";
        //出生日期
        String birthDate = "19900101";
        //服务处所
        String serviceAddr = "XX村XX组";
        //出生地省市县（区）
        String birthAddr = "江苏省南京市栖霞区";
        //籍贯省市县（区）
        String nativeAddr = "江苏省南京市秦淮区";
        //所属省市县（区）
        String belongAddr = "江苏省南京市鼓楼区";
        //住址
        String address = "江苏省南京市XX区XX镇XX村XX组XX号";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        IdentityMultiCheckRequest req = new IdentityMultiCheckRequest();
        req.setRealname(realname);
        req.setIdcard(idcard);
        req.setFormerName(formerName);
        req.setSex(sex);
        req.setNation(nation);
        req.setCultureGrade(cultureGrade);
        req.setMaritalStatus(maritalStatus);
        req.setBirthDate(birthDate);
        req.setServiceAddr(serviceAddr);
        req.setBirthAddr(birthAddr);
        req.setNativeAddr(nativeAddr);
        req.setBelongAddr(belongAddr);
        req.setAddress(address);
        try {
            IdentityMultiCheckResponse response = apiClient.execute(req);
            if(!StringUtils.isEmpty(response.getData().getMultiRes())){
                JSONObject jsonObject = JSON.parseObject(response.data.getMultiRes());
            }
            System.out.println(response.getData());
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
