package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.ImageCutFaceRequest;
import cn.unitid.realidentity.sdk.response.ImageCutFaceResponse;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.FileUtils;

import java.io.File;

/**
 * 图片人脸裁剪
 */
public class ImageCutFace {

    public static void main(String[] args) {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";
        try {
            //1.原客户端
            ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
            //2.调用出错，自动重试客户端
            //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
            ImageCutFaceRequest req = new ImageCutFaceRequest();
            //1.base64：开头，使用base64为字符串传参
            String img = Base64.encodeBase64String(FileUtils.readFileToByteArray(new File("C:/aa.jpg")));
            req.setImagBase64(img);
            //2.fs：开头，需要调用我们提供的上传接口,获取bucket，和objectKey，格式为：fs:+bucket:+objectKey
            //String bucket = "XXX";
            //String objectKey = "XXX";
            //String img = bucket + ":" + objectKey;
            //req.setImageFs(img);
            ImageCutFaceResponse rsp = apiClient.execute(req);

            //后续业务处理
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
