package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.FileItem;
import cn.unitid.realidentity.sdk.constant.FaceType;
import cn.unitid.realidentity.sdk.constant.LivenessControl;
import cn.unitid.realidentity.sdk.constant.QualityControl;
import cn.unitid.realidentity.sdk.internal.util.WebUtils;
import cn.unitid.realidentity.sdk.request.FsUploadPolicyRequest;
import cn.unitid.realidentity.sdk.request.ImageFaceCompareRequest;
import cn.unitid.realidentity.sdk.response.FsUploadPolicyResponse;
import cn.unitid.realidentity.sdk.response.ImageFaceCompareResponse;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * 两张人脸照片比对
 */
public class ImageFaceCompare {

    public static void main(String[] args) throws IOException {
        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        try {
            ImageFaceCompareRequest request = new ImageFaceCompareRequest();

            //源照片 图片质量控制非必填 活体控制非必填
            //1.base64：开头，使用base64为字符串传参
            String imgSourxe = "base64:" + Base64.encodeBase64String(FileUtils.readFileToByteArray(new File("C:\\workspace\\real-identity-openapi-java-sdk\\src\\test\\resources\\data\\aaa.png")));
            //2.fs: 开头
            //String imgTarget = uploadFile(url, appkey, secretKey);
            request.setImageSource(imgSourxe);
            request.setFaceTypeSource(FaceType.LIVE);

            //对比照片
            //1.base64: 开头，使用base64为字符串传参
            //String imgTarget = "base64:" + Base64.encodeBase64String(FileUtils.readFileToByteArray(new File("C:/aa.jpg")));
            //2.fs: 开头
            String imgTarget = uploadFile(url, appkey, secretKey);
            request.setImageTarget(imgTarget);
            request.setFaceTypeSource(FaceType.LIVE);
            request.setQualityTarget(QualityControl.NORMAL);
            request.setLivenessTarget(LivenessControl.NORMAL);
            //1.原客户端
            ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
            //2.调用出错，自动重试客户端
            //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
            ImageFaceCompareResponse response = apiClient.execute(request);
            //后续业务处理
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

    /**
     * fs：开头，需要调用我们提供的上传接口,获取bucket，和objectKey，格式为：fs:+bucket:+objectKey
     *
     * @param url
     * @param appkey
     * @param secretKey
     * @return
     * @throws ApiException
     * @throws IOException
     */
    private static String uploadFile(String url, String appkey, String secretKey) throws ApiException, IOException {
        ApiClient client = new DefaultApiClient(url, appkey, secretKey);
        FsUploadPolicyRequest req = new FsUploadPolicyRequest();
        req.setBizType("face");
        //获取文件上传权限
        FsUploadPolicyResponse fsResponse = client.execute(req);
        //获取权限识别
        if (null == fsResponse.getData()) {
            throw new ApiException();
        }
        //上传文件示例
        Map<String, String> params = new HashMap<String, String>(5);
        params.put("token", fsResponse.getData().getToken());
        if (fsResponse.getData().getObjectKey().endsWith("/")) {
            params.put("key", fsResponse.getData().getObjectKey() + "${filename}");
        } else {
            params.put("key", fsResponse.getData().getObjectKey());
        }
        //需要上传的文件
        Map<String, FileItem> fileParams = new HashMap<String, FileItem>(5);
        fileParams.put("file", new FileItem(new File("C:\\workspace\\real-identity-openapi-java-sdk\\src\\test\\resources\\data\\111.jpg")));
        //上传
        String uploadUrl = fsResponse.getData().getUploadUrl();
        String json = WebUtils.doPost(uploadUrl, params, fileParams, 30000, 30000);
        JSONObject jsonObject = JSON.parseObject(json);
        jsonObject.getString("bucket");
        return "fs:" + jsonObject.getString("bucket") + ":" + jsonObject.getString("objectKey");
    }
}
