package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.LivenessSdkGetTokenRequest;
import cn.unitid.realidentity.sdk.response.LivenessSdkGetTokenResponse;

/**
 * @author qzh
 * @create 2020-07-21 2020/7/21
 */
public class LivenessSdkGetToken {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";


        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
        LivenessSdkGetTokenRequest req = new LivenessSdkGetTokenRequest();

        //SDK版本
        req.setSdkVersion(10000);

        //SDK类型  ios | android
        req.setSdkType("ios");

        //应用标识符,android 为包名 IOS 为 bundleId
        req.setAppIdentifier("XXX.XXX.XXX");

        //平台方服务器主动通知客户服务器指定页面(选填)
//        req.setNotifyUrl("XXX");



        //签名证书MD5,sdkType为android 必填 sdkType为ios 不填
//        req.setCertMd5("XXX");



        try {
            LivenessSdkGetTokenResponse response = apiClient.execute(req);
            //后续业务处理

        } catch (ApiException e) {
            e.printStackTrace();
        }
    }



}
