package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.ApiException;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.FileItem;
import cn.unitid.realidentity.sdk.internal.util.WebUtils;
import cn.unitid.realidentity.sdk.request.FsUploadPolicyRequest;
import cn.unitid.realidentity.sdk.response.FsUploadPolicyResponse;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * 视频压缩
 */
public class VideoCompress {


    public static void main(String[] args) throws ApiException, IOException {
        //提供的url
        String url = "http://172.16.3.239:8000/api/router/rest";
        //您的appKey
        String appkey = "sYYACWjpE26bmbZK";
        //您的appSecret
        String secretKey = "7TSCmwHGA0JQLl7yj0YnrfoG6v4nITwK";
        ApiClient client = new DefaultApiClient(url, appkey, secretKey);
        FsUploadPolicyRequest req = new FsUploadPolicyRequest();
        req.setBizType("liveness_video");
        //获取文件上传权限
        FsUploadPolicyResponse fsResponse = client.execute(req);
        //获取权限识别
        if (null == fsResponse.getData()) {
            throw new ApiException();
        }
        //上传文件示例
        Map<String, String> params = new HashMap<String, String>(5);
        params.put("token", fsResponse.getData().getToken());
        if (fsResponse.getData().getObjectKey().endsWith("/")) {
            params.put("key", fsResponse.getData().getObjectKey() + "${filename}");
        } else {
            params.put("key", fsResponse.getData().getObjectKey());
        }
        //需要上传的文件
        Map<String, FileItem> fileParams = new HashMap<String, FileItem>(5);
        fileParams.put("file", new FileItem(new File("C:\\workspace\\real-identity-openapi-java-sdk\\src\\test\\resources\\data\\qq.mp4")));
        //上传
        String uploadUrl = fsResponse.getData().getUploadUrl();
        String json = WebUtils.doPost(uploadUrl, params, fileParams, 30000, 30000);
        JSONObject jsonObject = JSON.parseObject(json);
        jsonObject.getString("bucket");


        //在浏览器打开下载地址即可下载文件
        String source = "http://172.16.3.239:20120/internal/download/" + jsonObject.getString("bucket") + "/" + jsonObject.getString("objectKey");
        System.out.println("源视频下载地址:" + source);

        //视频压缩可以通过改变这两个参数改变视频大小
        //视频压缩速度质：SUPERFAST（最快） VERYFAST（很快）  FASTER（较快） ，默认VERYFAST 速度越快，压缩率低，生成的文件更大
        String speed="FASTER";
        //输出视频的质量，取值范围是0-51 默认20，质量精细，推荐26-28 数值越大，质量越模糊，文件越小
        Integer quality=26;
        String compress = source + "?compress=true" + "&speed="+speed + "&quality="+quality;
        System.out.println("压缩视频下载地址:" + compress);
    }
}
