package test.cn.unitid.realidentity.openapi.sdk.test;

import cn.unitid.realidentity.sdk.ApiClient;
import cn.unitid.realidentity.sdk.DefaultApiClient;
import cn.unitid.realidentity.sdk.request.VideoLivenessCheckRequest;
import cn.unitid.realidentity.sdk.response.VideoLivenessCheckResponse;

/**
 * 视频活体检测
 */
public class VideoLivenessCheck {

    public static void main(String[] args) {

        //提供的url
        String url = "http://iv.unitid.cn/api/router/rest";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        try {
            //1.原客户端
            ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
            //2.调用出错，自动重试客户端
            //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);
            VideoLivenessCheckRequest req = new VideoLivenessCheckRequest();

            //1.以base64:开头，图片转换成base64位字符串
            //String video = Base64.encodeBase64String(FileUtils.readFileToByteArray(new ClassPathResource("/data/qq.mp4").getFile()));
            //req.setVideoDataBase64(video);

            //2.fs:开头，需要调用我们提供的上传接口,获取bucket，和objectKey，格式为：fs:+bucket:+objectKey
            String bucket = "XXX";
            String objectKey = "XXX";
            String videoData = bucket + ":" + objectKey;
            req.setVideoDataFs(videoData);
            VideoLivenessCheckResponse rsp = apiClient.execute(req);
            //后续业务处理
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
